<div>
  <h2 id="page-heading" data-cy="NatureRecrutementHeading">
    <span jhiTranslate="gestionPersonnel3App.natureRecrutement.home.title">NatureRecrutements</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.natureRecrutement.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-nature-recrutement"
        [routerLink]="['/nature-recrutement/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.natureRecrutement.home.createLabel"> Créer un nouveau Nature Recrutement </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="natureRecrutements?.length === 0">
    <span jhiTranslate="gestionPersonnel3App.natureRecrutement.home.notFound">Aucun Nature Recrutement trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="natureRecrutements && natureRecrutements.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="natureRecrutement">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.natureRecrutement.natureRecrutement">Nature Recrutement</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let natureRecrutement of natureRecrutements; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/nature-recrutement', natureRecrutement.id, 'view']">{{ natureRecrutement.id }}</a>
          </td>
          <td>{{ natureRecrutement.natureRecrutement }}</td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/nature-recrutement', natureRecrutement.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/nature-recrutement', natureRecrutement.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(natureRecrutement)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
